------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.4.5
------------------------------------------------
Bugfix:
- Fixed possible exception in texture fusion
- Fixed error in PNG texure loading 

Miscellaneous:
- Added progress info dialog
- Texture Fusion: interpolate border colors
- Camera List: Add unique ID to each camera name


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.4.4
------------------------------------------------
New features:
- Support multiple image file formats for textures (BMP, GIF, EXIF, JPG, PNG and TIFF)
- Support Bayer color format (BY8)
- Shapefusion: Mesh Reduction: Reduce mesh density without losing edges

Miscellaneous:
- Save texture as PNG instead of BMP
- Workaround for camera driver bug: Try to force camera to use the settings from previous session

Bugfix:
- Fixed saving texture when using COM command "SaveScan"
- Corrected ToolTip of Combine button


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.4.3
------------------------------------------------

Miscellaneous:
- Replaced average smoothing by gauss smoothing that avoids bending of scan borders
- Open multiple files as command line parameters resp. by "Open with"
- Free Edition: Don't save single vertices
- Improved performance of 2D image dialogs
- Improved performance of Interpolate and Smooth filters on multicore CPUs
- Improved Shapefusion context menu:
   - allow selection of more than one item
   - changed order and added separator lines 
   - new function Remove
   - new function Shrink
   - "combine" works on selected, not checked items
- Added EXPERIMENTAL structured light grabber

Bugfix:
- Don't close 3D Window on Uncombine
- Fixed camera calibration for e.g. worm's-eye view
- Fixed possible crash when changing resolution
- Fixed enabling buttons after loading mesh in Laserscanner
- Don't erase scan data when video source changes but resolution remains the same


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.4.2
------------------------------------------------

Miscellaneous:
- Improved lens un-distortion in calculation of laser plane pose (method 1)
- More precise and robust calculation of laser plane pose (method 2)
- Allow display of camera image during scanning
- More robust camera calibration with stretched patterns

Bugfix:
- Remember camera resolution and frame rate
- Eraser faster again
- Texture Fusion: fixed tiling of textures
- Solved problems when some DAVID files were write protected


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.4
------------------------------------------------

New Features:
- Image Grabber which can load a sequence of multiple image files
- Video Grabber can load a sequence of multiple video files
- Start with default camera settings for known cameras
- COM-Port: Set pin 4 (DTR) high during scanning, or alternate
- COM-Port: Accept commands through COM
- COM-Port: More different messages sent through COM
- COM-Port: Start/stop scan triggered by pin 1 (DCD)
- Scanning Without Background: Can be based on 'single motor steps' instead of 'time'
- Auto-Stop

Miscellaneous:
- New camera interface --> improved compatibility and speed
- Improved translation details
- Moved debug window setting from config.xml to Advanced Settings
- Prevent closing DAVID with the console window close button
- Remember debug console window position and size
- Polygon Selection Tool faster
- Shapefusion: Automatically remove empty scans after manual cleaning


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.3.4
------------------------------------------------

New Features:
- Calibration: Show marginal error of calibration (green lines)
- Shapefusion: "Save all scans in separate files"
- Scanning Without Background: Use remembered laser poses (interpolated) to avoid "macro waves"
- Scanning Without Background: New Advanced Settings: "UseRememberedPlanePoses" and "UseModelOutsideReferenceRange"

Bugfix:
- works again: Camera Calibration: Shows the markers that have been found even if calibration fails
- 3D Window: fixed problem with large objects (static->dynamic clipping planes) 
- fixed display of average laser line width when at top image border

Miscellaneous:
- Increased number of mesh colors in ShapeFusion (12->48)
- Warning when no write access to DAVID folder
- Fixed memory leak on camera calibration
- Better visibility of eraser mask during camera calibration
- Scanning Without Background: Allow Background Filter in Repetition Scans
- Improved scanning speed
- Improved texture fusion speed on multi-core CPUs


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.3.3
------------------------------------------------

Bugfix:
- Sending Newline commands over COM port


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.3.2
------------------------------------------------

New Features:
- Scanning Without Background: New Advanced Settings value ScanStartDetectionMode
- Demo Mode


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.3
------------------------------------------------

New Features:
- Send commands through serial port
- Show scan quality feedback in Scan Result window

Bugfix:
- Apply filters when saving OBJ in Free Edition

Miscellaneous:
- Added Russian and Spanish localizations
- Scanning Without Background: Changed behaviour; each time you click Start, DAVID assumes a new laser motion has begun; no need to click "Erase"


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.2.2
------------------------------------------------

Bugfix:
- Saving to STL: Fixed triangle normals and possible crash


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.2.1
------------------------------------------------

Miscellaneous:
- Scanning Without Background: 
     - "Repetition" is now default setting
     - Prevent switching between "Reference" and "Repetition" during scanning
- More helpful error message when OpenGL window could not be opened


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.2.0
------------------------------------------------

New Features:
- Convenient Windows installer / setup.
- Calibration: Improved robustness on low contrast images.
- Magnifying glass in live camera image (toggle with left mouse button).
- Laserscanner: More convenient and configurable depth image filtering. 
- Laserscanner: Support of motor-driven scanning without background
  (must be activated in advanced settings: 
  Laserscanner/LaserPlaneCalculation/LaserMotionEstimation/Enabled).
- Shapefusion: New RMB Menu entry "Properties" showing dimensions etc. of a scan

Bugfixes:
- Read all files (license, advanced settings etc.) from application path.
- No more crash on successive call of Simple->Poisson->Simple Fusion.
- Fixed problem on successive call of Simple Fusion -> mesh cleaning -> Simple Fusion.  
- Fixed rarely occuring bug in Texture Fusion.
- Fixed rarely occuring bug in Poisson Fusion.

Miscellaneous:
- Added Polish localization
- Calibration: Much faster camera calibration.
- Laserscanner: 3D window of scan page hides when leaving scan page.
- Laserscanner: Do not open ShapeFusion's 3d window on "Forward".
- 3D Window: Advanced Settings value for texture size


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.1c:
------------------------------------------------

Bugfixes:
- Saving "All scans in one file" fixed.


------------------------------------------------
 What's New in DAVID-Laserscanner Version 2.1b:
------------------------------------------------

Bugfixes:
- Manual Cleaning Tool: Selection/Inversion/Deletion of visible scans only.


-----------------------------------------------
 What's New in DAVID-Laserscanner Version 2.1:
-----------------------------------------------

New Features:
- "Advanced Settings" dialog makes many parameters configurable.
- Camera Calibration: Shows the markers that have been found even if calibration fails.
- Laserscanner: Configurable pose of background planes (Advanced Settings).
- Laserscanner: Reduced "bad linkage" problem in Average filter.
- Shapefusion: New registration mode "Global Fine Registration".
- Shapefusion: Improved robustness and precision of Fine Registration.
- Shapefusion: Undo and Redo for alignment steps.
- Shapefusion: Usage of texture for a more robust and accurate scan registration/alignment.
- Shapefusion: Ability to drag-and-drop multiple mesh files to the list of input scans.
- Shapefusion: Ability to drag-and-drop a single mesh file to the DAVID icon 
  (obj file in command line).
- Shapefusion: Context menu command "Duplicate Scan"´.
- Shapefusion: Context menu command "Reset Pose".
- Shapefusion: New function "Reflect on mirror planes" (for setups with mirrors)
- 3D Window: Inversion of selection (key 'I' and new button)
- 3D Window: Cancel selection with 'ESC'.
- Added Portuguese localization.

Bugfixes:
- MeshIO: No more freezing when loading an invalid file.
- MeshIO: Bugfix - no more saving of one single texture coordinate if scan has no texture.
- DAVID locates his files (config.xml, calibpoints.dat, mask.bmp) always in the executable's directory.

Miscellaneous:
- Camera settings: Do not remember different settings for pan, tilt, zoom 
  (values that must not change after calibration).
- Laserscanner: Background filter only filters around VISIBLE background plane parts.
- Shapefusion: Reduced memory usage allows to fuse scans with higher resolution.
- Shapefusion: Registration Form remembers window position.
- Shapefusion: Completed missing functions in Command File Interpreter.
- MeshIO: Waiting cursor when saving scans in Shapefusion.

-----------------------------------------------
 What's New in DAVID-Laserscanner Version 2.0c:
-----------------------------------------------

- Bugfix: Saving of moved/rotated/aligned scans now in correct pose


-----------------------------------------------
 What's New in DAVID-Laserscanner Version 2.0b:
-----------------------------------------------

- Camera control can be switched off


-----------------------------------------------
 What's New in DAVID-Laserscanner Version 2.0:
-----------------------------------------------

New Features:
- Calibration: Changed layout of calibration printouts (smaller markers => higher accuracy)
- Camera settings: Three different camera setting presets (for calibration, scanning and texture grabbing) 
                   are saved and restored automatically.
- Laserscanner: New "Forward" button that transfers scans to Shapefusion.
- Laserscanner: Pseudocolored depth image with modifiable color gradients.
- Shapefusion: Manual cleaning tool. Select and delete triangles.
- Shapefusion: Texture fusion of multiple textured scans.
- Shapefusion: Increased maximal resolution for simple and poisson fusion.
- Shapefusion: Possibility to select multiple files for adding.
- Shapefusion: Context menu opens on right mouse button click at list of input scans
               New context menu functions: 
               "Remove All Scans", "Un-combine", "Invert Normals", and "Remove Texture"
- OBJ-Files: Support of material (.mtl) files
- 3D-Window: Possibility to rotate around viewing axis (by clicking outside of the dotted circle).
- Localization: Support of German, Italian and French language.

Bugfixes:
- Laserscanner: Fixed problem with degenerated triangles when reloading a mesh
- Shapefusion: No more exceptions when simple fusion runs out of memory
- Shapefusion: Selected Registration Mode copied from RegistrationForm to Form1
- Shapefusion: Loading of third party textured OBJs with complicated texture coordinates possible
- Fixed crashes after loading video with different resolution and after cancelling the video selection dialog

Miscellaneous:
- New GUI design
- 3D-Window: Improved appearance of scans and buttons.
- Laserscanner: Saving in free version reduced to maximal resolution of 320x200
- Shapefusion: Selection in 3D-Window changes selection in list of input scans
- Shapefusion: Warning when resolution exceeds 600.
- Shapefusion: Accelerated loading of scans.
- Shapefusion: Combined scans get name assembled from source scans



------------------------------------------------
 What's New in DAVID-Laserscanner Version 1.6b:
------------------------------------------------

Bugfixes:
- Fixed mouse event problem that sometimes causes a software crash on closing
- Shapefusion: In some cases the texture was not visible after loading.
- Fixed RegistrationID problem that occured under some Windows Vista PCs
- Shapefusion/save mesh dialog: Correct naming of single scans in list 
- Shapefusion/save mesh: possibility to save texture coordinates of singe scans

Miscellaneous:
- Last user settings of 'Fast'-checkbox and fusion mode are restored after restarting.



-----------------------------------------------
 What's New in DAVID-Laserscanner Version 1.6:
-----------------------------------------------

New Features: 
- Calibration: Eraser tool with blue preview box, "Mask all"-Button, 
  pale blue instead of white for eraser image areas.
- Scanning: Improved compensation of lens distortions while scanning.
- Scanning: "Fast" Mode for scanning (reduced scan result display update to 1 Hz).
- Shapefusion: Scan alignment mode "Rotation around axis" allows to specify a 
  known angle of rotation (useful in conjunction with a turn table).
- Shapefusion: New checkboxes to switch visibility of scans on/off
- Shapefusion: Command File Interpreter 
  (start .EXE with a command line parameter and read the 'out.log' file for getting help).

Bugfix:
- Fixed Registration ID problem
- Correct display of calib points after restart of DAVID when scale factor is not 60.
- Fixed problem of eraser tool when mouse cursor leaves the camera 
  window while pressing a mouse button. 

Miscellaneous: 
- Depth image: pale shades of gray no longer used --> improved visibility of scanned regions
- Shapefusion: "Are you sure"-dialog for the "Arrange" button 
  to avoid losing registration result



-----------------------------------------------
 What's New in DAVID-Laserscanner Version 1.5:
-----------------------------------------------

New Features:
- Enhanced sub-pixel detection of laser-line and increased scanning accuracy.
- Alternative 'Poisson' mesh fusion method, which is more robust against inaccurate 
  scan alignment and which gives water-tight results.
- "Combine"-Button for grouping/combining of multiple scans to one scan
- Pairwise fine registration is much faster.
- Possibility to save all scans in one file (without fusion step).

Bugfix:
- Eraser problem when camera window was scaled up or down



------------------------------------------------
 What's New in DAVID-Laserscanner Version 1.4b:
------------------------------------------------

New Features:
- Grab a texture and view your texturized model in 3D
- Buttons inside 3D-window (e.g. texture on/off, lights on/off...)
- STL export in DAVID-Shapefusion
- "Thin shadow line" mode for using cord shadow instead of laser
- Shows FPS in title of live camera window and scan result window

Bugfix:
- Differentiation object vs. background now depending on calib.body scale
- No more "Trial" label if a license exists.

Miscellaneous: 
- Error message if .NET Framework is not installed
- Error message "LEFT AND RIGHT LASER LINE NOT ON A PLANE"
- Scanning from a pre-recorded video is faster
- Calibration printout in CorelDRAW 7 format (more compatible than V12) 
- Icon in taskbar for all windows
- Help upgraded



-----------------------------------------------
 What's New in DAVID-Laserscanner Version 1.3:
-----------------------------------------------

New Features:
- First release of DAVID-Shapefusion which allows 
  to align and merge multiple scans to get a full 360 degree 3D model
- Possibility to reload the scanning results
- Undo button for undoing interpolation and filtering

Miscellaneous: 
- Conversion to Microsoft .NET Framework 2.0

Bugfixes:
- No more problems with floating point numbers for calibration scale
- fixed video grabber bug that sometimes caused freezing after auto repeat



-----------------------------------------------
 What's New in DAVID-Laserscanner Version 1.2:
-----------------------------------------------

Bugfixes:
- Fixed "invisible part problem" of dialog window
- No crash when using cameras with negative resolution

New Features for Input/Output: 
- DV-Cameras / Camcorders should work now!
- Import of pre-recorded video files possible using "DAVID Video Grabber".

Layout:
- adapted to the new Internet Domain www.david-laserscanner.com



-----------------------------------------------
 What's New in DAVID-Laserscanner Version 1.1:
-----------------------------------------------

Bugfixes:
- last window position will be restored correctly, even if window was minimized.
- no crash when changing from lower to higher camera resolution.
          --> no more crashes with SplitCam :-)
- Live camera image doesn't freeze anymore at 100% cpu load
- Internal frame rate now depending on camera settings (--> lower cpu usage with slower cameras)

Calibration:
- Eraser Mode added (user "cleans" image, very useful :-))
- When calibration fails, you get a more detailed error description
- solved problem that has occured if some calibration points have touched the image border.
- Manual mode added (user shows DAVID the calibration markers by mouse)
- Added "Invert" toggle for bright markers on dark background

Scanning: 
- When triangulation angle is too low, user gets a warning and measured values are ignored
- More warnings (no laser, laser too far left/right)
- Added radio buttons for green or red laser

Miscellaneous: 
- Save mesh: texture coordinates are now conform with the OBJ-specification.
- msvcr71d.dll is not used anymore
- 3D-Window: improved automatic camera adjustment.
- Online help: FAQ upgraded.
- config.xml: DEBUG flag added, set it to 1 to get a console window with debug messages.
